package repositories

import (
	"gorm.io/gorm"
	"sorbet/internal/entities"
	"sorbet/pkg/db"
)

type CompanyDepartmentRepository struct {
	*db.Repository[entities.CompanyDepartment]
}

// NewCompanyDepartmentRepository 创建公司部门仓库
func NewCompanyDepartmentRepository(orm *gorm.DB) *CompanyDepartmentRepository {
	return &CompanyDepartmentRepository{
		db.NewRepositoryWith[entities.CompanyDepartment](orm, "id"),
	}
}
