package repositories

import (
	"gorm.io/gorm"
	"sorbet/internal/entities"
	"sorbet/pkg/db"
)

type CompanyEmployeeRepository struct {
	*db.Repository[entities.CompanyEmployee]
}

// NewCompanyEmployeeRepository 创建公司员工仓库
func NewCompanyEmployeeRepository(orm *gorm.DB) *CompanyEmployeeRepository {
	return &CompanyEmployeeRepository{
		db.NewRepositoryWith[entities.CompanyEmployee](orm, "id"),
	}
}
