package controller

import (
	"github.com/labstack/echo/v4"
	"sorbet/internal/entities"
	"sorbet/internal/services/system/request"
	"sorbet/pkg/crud"
)

type SystemRolePowerController struct {
	crud.Controller[entities.SystemRolePower, request.SystemRolePowerUpsertRequest]
}

func (s *SystemRolePowerController) InitRoutes(r *echo.Group) {
	s.RegisterRoutes("/system/role/powers", r)
}
