package errs

import (
	"net/http"
	"sorbet/pkg/rsp"
)

var (
	ErrWechatNotBound   = rsp.NewError(http.StatusBadRequest, 10001, "微信尚未绑定")
	ErrLoginWithUserpwd = rsp.NewError(http.StatusUnauthorized, 10002, "用户名或密码错误")
)
