package repositories

import (
	"gorm.io/gorm"
	"sorbet/internal/entities"
	"sorbet/pkg/db"
)

type FeatureContentChapterRepository struct {
	*db.Repository[entities.FeatureContentChapter]
}

// NewFeatureContentChapterRepository 创建栏目内容章回仓库
func NewFeatureContentChapterRepository(orm *gorm.DB) *FeatureContentChapterRepository {
	return &FeatureContentChapterRepository{
		db.NewRepositoryWith[entities.FeatureContentChapter](orm, "id"),
	}
}
