package repositories

import (
	"gorm.io/gorm"
	"sorbet/internal/entities"
	"sorbet/pkg/db"
)

type SystemLogRepository struct {
	*db.Repository[entities.SystemLog]
}

// NewSystemLogRepository 创建系统日志仓库
func NewSystemLogRepository(orm *gorm.DB) *SystemLogRepository {
	return &SystemLogRepository{
		db.NewRepositoryWith[entities.SystemLog](orm, "id"),
	}
}
