package controller

import (
	"github.com/labstack/echo/v4"
	"sorbet/internal/entities"
	"sorbet/internal/services/system/request"
	"sorbet/pkg/crud"
)

type SystemUserController struct {
	crud.Controller[entities.SystemUser, request.SystemUserUpsertRequest]
}

func (s *SystemUserController) InitRoutes(r *echo.Group) {
	s.RegisterRoutes("/system/users", r)
}
